Get a group Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/group/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      UUID of the group

    • name string

      Name of the group

    • slug string

      Slug of the group

    • participants_count string

      Number of participants in the group

    • participants object

      Participants in this group

      Hide participants attributes Show participants attributes object
      • uuid object
        Hide uuid attributes Show uuid attributes object
        • example string
        • description string
      • role object
        Hide role attributes Show role attributes object
        • example string
        • description string
      • first_name object
        Hide first_name attributes Show first_name attributes object
        • example string
        • description string
      • last_name object
        Hide last_name attributes Show last_name attributes object
        • example string
        • description string
      • name object
        Hide name attributes Show name attributes object
        • example string
        • description string
      • email object
        Hide email attributes Show email attributes object
        • example string
        • description string
    • created_at string

      Timestamp of when the group was created

    • updated_at string

      Timestamp of when the group was updated

GET /api/v1/group/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/group/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "ea15af15-3758-4c6d-a86a-7a4ec959aea7",
  "name": "finance",
  "slug": "finance",
  "participants_count": "3",
  "participants": {
    "uuid": {
      "example": "594c3cc9-9b57-419d-ad96-eec49133a8cf",
      "description": "UUID of the account"
    },
    "role": {
      "example": "client",
      "description": "Role of the account"
    },
    "first_name": {
      "example": "Gareth",
      "description": "First name of the account"
    },
    "last_name": {
      "example": "Thompson",
      "description": "Last name of the account"
    },
    "name": {
      "example": "Gareth Thompson",
      "description": "Name of the account"
    },
    "email": {
      "example": "gareth@codepotato.co.uk",
      "description": "Email of the account"
    }
  },
  "created_at": "2026-06-08T16:08:02+01:00",
  "updated_at": "2026-06-08T16:08:02+01:00"
}